<template>
  <div v-if="breadcrumbs.length > 1" class="breadcrumbs">
    <div class="container">
      <div class="row">
        <div class="col-12 col-lg-10 offset-lg-1">
          <span v-for="(breadcrumb, index) in breadcrumbs" :key="index">
            <span v-if="index > 0" class="chevron" />
            <nuxt-link v-if="breadcrumb.url" :to="breadcrumb.url">
              {{ breadcrumb.label }}
            </nuxt-link>
            <span v-else>
              {{ title || breadcrumb.label }}
            </span>
          </span>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default: '',
    },
  },
  computed: {
    breadcrumbs() {
      const bcRaw = this.$route.fullPath.split('/').filter(n => n);
      const bcArray = [];

      bcRaw.forEach((breadcrumb, index) => {
        let url = '';
        if (index !== bcRaw.length - 1) {
          url = '/';
          for (let id = 0; id <= index; id++) {
            url += `${bcRaw[id]}/`;
          }
        }

        if (!breadcrumb.includes('#')) {
          bcArray.push({
            label: breadcrumb,
            url,
          });
        }
      });
      return bcArray;
    },
  },
}
</script>

<style lang="scss">
.breadcrumbs {
  text-transform: uppercase;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 4rem;
  line-height: 1;
  hyphens: auto;
  display: flex;
  align-items: center;

  @include media-breakpoint-up(md) {
    display: block;
    top: 1.5rem;
  }

  @include media-breakpoint-up(lg) {
    top: 3rem;
  }

  span.chevron::before {
    content: '❯';
    margin: 0 0.5rem;
  }

  span {
    font-size: 0.825rem;

    @include media-breakpoint-up(md) {
      font-size: 1rem;
      letter-spacing: 1px;
    }
  }

  span > a {
    text-decoration: none;

    &:hover {
      color: $primary;
    }
  }
}
</style>
